Description

Muz2e installed art distribution of v3_06_00. Part of that distribution is a new version of git, v2_27_0, and the new version is made
current. This breaks git. For now we have fixed the problem by rolling current back to the previous git, v2_20_1.

To illustrate the problem, you need to know that the standard Mu2e .bash_profile does only 1 UPS action:

upsfile="/cvmfs/fermilab.opensciencegrid.org/products/common/etc/setups.sh"
if [ -r "${upsfile}" 1; then
"S{upsfile}"
fi
unset upsfile

When | login, | get the system git, which works:

git version
git version 1.8.3.1

To illustrate the problem:

setup muZle

unsetup git

setup git v2_27_0

git -version

git: error while loading shared libraries: libpcre2-8.s0.0: cannot open shared object file: No suc
h file or directory

Note that "setup mu2e" defines some environment variables and adds the Mu2e UPS repo at the front of PRODUCTS. The only
ups product that it sets up is git and it uses the current version.

Please advise.

My quick google suggested that we need to install a new RPM but | am not sure which and lab policy is to only install rpms that are
avaiable from the SL server.

History

#1 - 07/13/2020 10:27 AM - Kyle Knoepfel
- Assignee set to Kyle Knoepfel
- Status changed from New to Assigned

- Tracker changed from Bug to Support

Using pcre2 is now a requirement for the UPS-provided git installation. We will contact the relevant individuals to get this installed on experiment
GPVMs.

#2 - 07/13/2020 10:32 AM - Rob Kutschke

Thanks. Please advise when it's ready for us to test.

#3 - 07/13/2020 11:10 AM - Rob Kutschke
Andrei reminded me the the admin's of these machines will make the change in such a way that it will be lost at the next upgrade.
To make this stick, please inform the SL team to add this rpm to the standard distribution that goes to scientific workstations, laptops etc.

#4 - 07/13/2020 11:19 AM - Lynn Garren

We are already aware. The rpm needs to be added to puppet.

#5 - 07/13/2020 01:23 PM - Rob Kutschke

Things may have changed but past experience is that adding it to puppet is not enough. When they do a major upgrade of the gpvm machines they
wipe puppet and start fresh with the new list of rpms for the new OS. The result is that customizations like this are lost.

In addition people install SL7 on their laptops and they do not have access to the list of customizations installed in puppet for the gpvm machines.
In both cases time is lost rediscovering what rpms are needed.
That's why | requested that you contact the SL people. If they put it in at the source, then both problems go away.

#6 - 07/17/2020 03:22 PM - Rob Kutschke

Eric Flumerfelt tells us that in order to get artdaq to build with art v3_06_00 he had to install: pcre2 xxhash-libs libzstd libzstd-devel . And trying to
build Mu2e Offline we are missing xxhash.

| think that all are rpms. | see that you put the ticket into install pcre2 on all gpvm machines. Thanks for that.

Can you work with Eric to understand the details of the other packages and ask that they be installed on mu2egpvm* and mu2ebuild01. Your call if
you want to proactively look after the other gpvm installations.

I would do this myself but | don't have details about the precise rpms so it's best to cut me out of the loop.

#7 - 07/18/2020 11:10 PM - Rob Kutschke

Another question: are these newly required rpms build-time only or are they required at run-time? If the latter we need to get FIFE involve to figure
out how to make sure that grid nodes and/or grid docker cotnainers are properly provisioned and that offending sites can be black listed.

#8 - 03/10/2021 10:03 AM - Kyle Knoepfel
- Status changed from Assigned to Feedback

This issue has gone stale. Rob, is further work required to address this, or can we close it?

#9 - 03/10/2021 03:40 PM - Rob Kutschke

It's long since resolved. Eric Flumerfelt figured out what rpms are needed and we have notes about it on our wiki page.

Please close the ticket.

#10 - 03/10/2021 04:17 PM - Kyle Knoepfel
- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Thanks, Rob.
